Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetdoctypenodtd Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetdoctypenodtd (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getDoctype()" method returns null for XML documents without a document type declaration. Retrieve the XML document without a DTD and invoke the "getDoctype()" method. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A31

Definition at line 42 of file documentgetdoctypenodtd.java.

## Constructor & Destructor Documentation

documentgetdoctypenodtd::documentgetdoctypenodtd | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 44 of file documentgetdoctypenodtd.java. References DocumentBuilderSetting::notValidating, and DOMTest::setFactory().
    00045                                      {
    00046
    00047       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00048 DocumentBuilderSetting.notValidating
    00049         };
    00050         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00051         setFactory(testFactory);
    00052
    00053    }

## Member Function Documentation

String documentgetdoctypenodtd::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 63 of file documentgetdoctypenodtd.java.
    00063                                 {
    00064       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetdoctypenodtd";
    00065    }

void documentgetdoctypenodtd::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 66 of file documentgetdoctypenodtd.java. References DOMTestCase::doMain().
    00066                                           {
    00067         DOMTestCase.doMain(documentgetdoctypenodtd.class,args);
    00068    }

void documentgetdoctypenodtd::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file documentgetdoctypenodtd.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       DocumentType docType;
    00058       doc = load("nodtdstaff");
    00059       docType = doc.getDoctype();
    00060       assertNull("documentGetDocTypeNoDTDAssert",docType);
    00061
    00062    }

The documentation for this class was generated from the following file:

- documentgetdoctypenodtd.java